MultiFileUploader Plugin - Defect #790
The multifile uploader does not work in servoy 7.4RC2.

02/20/2014 03:16 PM - H

arry Schurink

Status:
Priority:
Assignee:
Category:
Target version:

Browser (if web
client):

Closed Start date: 02/20/2014
Normal Due date:
% Done: 0%
Estimated time: 0.00 hour
*all

Description

The solution should be to sign the object for the new Servoy version (?)

History

#1 - 02/20/2014 03:43 PM - Patrick Talbot

The solution to what?

Signing can be a solution to Smart client issues, but it's not going to do anything in web client.

What is the issue and do

you have an Exception stack trace in servoy_log.txt?

#2 - 03/11/2014 12:08 PM - Harry Schurink

This error shows in the server log:

The error comes after selecting the files to be uploaded and clicking "start upload" and finally "done"
At that time the error shows in the log

org.apache.wicket.marku

p.MarkupException: Unable to find component with id 'sv__ 4BOAOB9B_B95B_4A0D_9284 137FCAD5E139'in

[MarkupContainer [Component id = sv__22528980_78C0_4BA4_8F9A 68DEDB347776]]. This means that you declared
wicket:id=sv__4B0A0B9B_B95B_4A0D_9284 137FCAD5E139 in your markup, but that you either did not add the component to your page at all, or
that the hierarchy does not match.

[markup = Markup[solution:projectx, fullpath:/servoy-webclient/templates/default/projectx/cmedia_prjhdr_Ist.html]

<IDOCTYPE html PUBLI

C "-//IW3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtmI1/DTD/xhtml1-transitional.dtd">

<!-- Servoy webclient page Copyright 2014 Servoy -->

<html>
<head>

<title>cmedia_prjhdr_lIst - Servoy</title>

<servoy:head>
</servoy:head>

</head>

<body id="servoy_page'>
<form id="servoy_datafor
<servoy:panel>

m'>

<div servoy:id="servoywebform" id="form_cmedia_prjhdr_Ist" class="servoywebform">

<div id="sfw_form_cmedi
style="position: absolute;

a_prjhdr_Ist" style="position: absolute; height: Opx; right: Opx; left: Opx;"></div><div id="sfh_form_cmedia_prjhdr_Ist"
bottom: Opx; top: Opx; width: Opx;"></div><div servoy:id="View">

<div servoy:id="sv__22528980_78C0_4BA4_8F9A_68DEDB347776" id="sv__22528980_78C0_4BA4_8F9A_68DEDB347776" class="formpart">
</div>
nowrap;" servoy:id="sv__4B0AOB9B_B95B 4A0D_9284_ 137FCAD5E139" class="label"></div>

nowrap;" servoy:id="sv__D57ADD32_99DA_45EE_9AF6_13F8A7029466" name="ilmageDisplay_1" class="label"></div>
nowrap;" servoy:id="sv__5D70097C_2C25_46B6_A684_11199EFC8686" class="label"></div>

nowrap;" servoy:id="sv__586A955D_0F32_4649 9879_0AA216709EA6" class="label"></div>

nowrap;" servoy:id="sv__58C93771_B5D0_42C0_A63F_BAB5FBA8F9B6" class="label">ASALPINU.JPG</div>

nowrap;" servoy:id="sv__67CAE02B_B1D3_4D1E_9163_5D31136072C8" class="label"></div>

nowrap;" servoy:id="sv__449A1BBC_4910_47F0_80B4_83DB8A52C80B" name="ilmageDisplay_2" class="label"></div>
nowrap;" servoy:id="sv__78659272_8267_49D0_BB86_99DF96936DCO0" class="label"></div>

nowrap;" servoy:id="sv__ B69EF715_1A86_444C_9E7D_78877567F358" class="label"></div>

nowrap;" servoy:id="sv__670CFD17_ED95 40D1_981A_346EA0702542" class="label">SFOSATROC - kopie.JPG</div>
nowrap;" servoy:id="sv__58EE623D_4D51_4898_9E8B_3991E64ACS8EE" class="label"></div>

nowrap;" servoy:id="sv__64886C3C_ECBC_4FED_B45D ADA957CB59C0" name="ilmageDisplay_3" class="label"></div>
nowrap;" servoy:id="sv__7B91BF69_9FAF_424F B711_E9ADD1ED9785" class="label"></div>

nowrap;" servoy:id="sv__7A2410E6_AEBB_4E38 93FE_8E6F8A932C91" class="label"></div>

nowrap;" servoy:id="sv__874571B1_3921_41DA_8C5D_96010712F670" class="label">ACCNANUM.JPG</div>

nowrap;" servoy:id="sv__FF778378_D15D_4FEC_8897_C4D572306291" class="label"></div>

nowrap;" servoy:id="sv__CC59CC06_DED8_43B6_9EBC_2F1C7056EAD1" class="label"></div>

nowrap;" servoy:id="sv__DDE84B50_80ED_4730_A9C5_1FBF7F2BA821" class="label">Nieuw...</div>
</div>

</div>

</servoy:panel>

</form>

</body>

</html>

, index = 19, current = '<div style="white-space: nowrap;" servoy:id="sv__4B0AOB9B_B95B 4A0D_9284_137FCAD5E139" class="label">' (line 15,
column 1)]

at org.apache.wicket.markup.MarkupStream.throwMarkupException(MarkupStream.java:474)
at org.apache.wicket.MarkupContainer.renderNext(MarkupContainer.java:1489)

at org.apache.wicket.MarkupContainer.renderComponentTagBody(MarkupContainer.java:1624)
at org.apache.wicket.MarkupContainer.onComponentTagBody(MarkupContainer.java:1548)

at org.apache.wicket.Component.renderComponent(Component.java:2725)

at org.apache.wicket.MarkupContainer.onRender(MarkupContainer.java:1559)

at com.servoy.j2db.server.headlessclient.dataui.WebDataRenderer.onRender(WebDataRenderer.java:465)
at org.apache.wicket.Component.render(Component.java:2525)

at org.apache.wicket.MarkupContainer.renderNext(MarkupContainer.java:1461)

at org.apache.wicket.MarkupContainer.renderComponentTagBody(MarkupContainer.java:1624)
at org.apache.wicket.MarkupContainer.onComponentTagBody(MarkupContainer.java:1548)

at org.apache.wicket.Component.renderComponent(Component.java:2725)

at org.apache.wicket.MarkupContainer.onRender(MarkupContainer.java:1559)

at org.apache.wicket.Component.render(Component.java:2525)

at org.apache.wicket.MarkupContainer.renderNext(MarkupContainer.java:1461)

at org.apache.wicket.MarkupContainer.renderComponentTagBody(MarkupContainer.java:1624)
at org.apache.wicket.MarkupContainer.onComponentTagBody(MarkupContainer.java:1548)

at com.servoy.j2db.server.headlessclient. WebForm$3.onComponentTagBody(WebForm.java:245)
at org.apache.wicket.Component.renderComponent(Component.java:2725)

at org.apache.wicket.MarkupContainer.onRender(MarkupContainer.java:1559)

at org.apache.wicket.Component.render(Component.java:2525)

at org.apache.wicket.MarkupContainer.renderNext(MarkupContainer.java:1461)

at org.apache.wicket.MarkupContainer.renderComponentTagBody(MarkupContainer.java:1624)
at org.apache.wicket.MarkupContainer.renderAssociatedMarkup(MarkupContainer.java:717)

at org.apache.wicket.markup.html.panel.Panel.onComponentTagBody(Panel.java:114)

at org.apache.wicket.Component.renderComponent(Component.java:2725)

at org.apache.wicket.MarkupContainer.onRender(MarkupContainer.java:1559)

at com.servoy.j2db.server.headlessclient. WebForm.onRender(WebForm.java:1952)

at org.apache.wicket.Component.render(Component.java:2525)

at org.apache.wicket.MarkupContainer.renderNext(MarkupContainer.java:1461)

at org.apache.wicket.MarkupContainer.renderComponentTagBody(MarkupContainer.java:1624)
at org.apache.wicket.MarkupContainer.onComponentTagBody(MarkupContainer.java:1548)

at com.servoy.j2db.server.headlessclient.dataui.WebTabPanel.onComponentTagBody(WebTabPanel.java:1449)
at org.apache.wicket.Component.renderComponent(Component.java:2725)

at org.apache.wicket.MarkupContainer.onRender(MarkupContainer.java:1559)

at com.servoy.j2db.server.headlessclient.dataui.WebTabPanel.onRender(WebTabPanel.java:549)
at org.apache.wicket.Component.render(Component.java:2525)

at org.apache.wicket.MarkupContainer.renderNext(MarkupContainer.java:1461)

at org.apache.wicket.MarkupContainer.renderComponentTagBody(MarkupContainer.java:1624)
at org.apache.wicket.MarkupContainer.onComponentTagBody(MarkupContainer.java:1548)

at org.apache.wicket.Component.renderComponent(Component.java:2725)

at org.apache.wicket.MarkupContainer.onRender(MarkupContainer.java:1559)

at com.servoy.j2db.server.headlessclient.dataui.WebDataRenderer.onRender(WebDataRenderer.java:465)
at org.apache.wicket.Component.render(Component.java:2525)

at org.apache.wicket.MarkupContainer.renderNext(MarkupContainer.java:1461)

at org.apache.wicket.MarkupContainer.renderComponentTagBody(MarkupContainer.java:1624)
at org.apache.wicket.MarkupContainer.onComponentTagBody(MarkupContainer.java:1548)

at org.apache.wicket.Component.renderComponent(Component.java:2725)

at org.apache.wicket.MarkupContainer.onRender(MarkupContainer.java:1559)

at org.apache.wicket.Component.render(Component.java:2525)

at org.apache.wicket.MarkupContainer.renderNext(MarkupContainer.java:1461)

at org.apache.wicket.MarkupContainer.renderComponentTagBody(MarkupContainer.java:1624)
at org.apache.wicket.MarkupContainer.onComponentTagBody(MarkupContainer.java:1548)

at com.servoy.j2db.server.headlessclient. WebForm$3.onComponentTagBody(WebForm.java:245)
at org.apache.wicket.Component.renderComponent(Component.java:2725)

at org.apache.wicket.MarkupContainer.onRender(MarkupContainer.java:1559)

at org.apache.wicket.Component.render(Component.java:2525)

at org.apache.wicket.MarkupContainer.renderNext(MarkupContainer.java:1461)

at org.apache.wicket.MarkupContainer.renderComponentTagBody(MarkupContainer.java:1624)
at org.apache.wicket.MarkupContainer.renderAssociatedMarkup(MarkupContainer.java:717)

at org.apache.wicket.markup.html.panel.Panel.onComponentTagBody(Panel.java:114)

at org.apache.wicket.Component.renderComponent(Component.java:2725)

at org.apache.wicket.MarkupContainer.onRender(MarkupContainer.java:1559)

at com.servoy.j2db.server.headlessclient. WebForm.onRender(WebForm.java:1952)

at org.apache.wicket.Component.render(Component.java:2525)

at org.apache.wicket.MarkupContainer.renderNext(MarkupContainer.java:1461)

at org.apache.wicket.MarkupContainer.renderComponentTagBody(MarkupContainer.java:1624)
at org.apache.wicket.MarkupContainer.onComponentTagBody(MarkupContainer.java:1548)

at com.servoy.j2db.server.headlessclient.dataui.WebTabPanel.onComponentTagBody(WebTabPanel.java:1449)
at org.apache.wicket.Component.renderComponent(Component.java:2725)

at org.apache.wicket.MarkupContainer.onRender(MarkupContainer.java:1559)

at com.servoy.j2db.server.headlessclient.dataui.WebTabPanel.onRender(WebTabPanel.java:549)
at org.apache.wicket.Component.render(Component.java:2525)

at org.apache.wicket.MarkupContainer.renderNext(MarkupContainer.java:1461)

at org.apache.wicket.MarkupContainer.renderComponentTagBody(MarkupContainer.java:1624)
at org.apache.wicket.MarkupContainer.onComponentTagBody(MarkupContainer.java:1548)

at org.apache.wicket.Component.renderComponent(Component.java:2725)

at org.apache.wicket.MarkupContainer.onRender(MarkupContainer.java:1559)

at com.servoy.j2db.server.headlessclient.dataui.WebDataRenderer.onRender(WebDataRenderer.java:465)
at org.apache.wicket.Component.render(Component.java:2525)

at org.apache.wicket.MarkupContainer.renderNext(MarkupContainer.java:1461)

at org.apache.wicket.MarkupContainer.renderComponentTagBody(MarkupContainer.java:1624)
at org.apache.wicket.MarkupContainer.onComponentTagBody(MarkupContainer.java:1548)

at org.apache.wicket.Component.renderComponent(Component.java:2725)

at org.apache.wicket.MarkupContainer.onRender(MarkupContainer.java:1559)

at org.apache.wicket.Component.render(Component.java:2525)

at org.apache.wicket.MarkupContainer.renderNext(MarkupContainer.java:1461)

at org.apache.wicket.MarkupContainer.renderComponentTagBody(MarkupContainer.java:1624)
at org.apache.wicket.MarkupContainer.onComponentTagBody(MarkupContainer.java:1548)

at com.servoy.j2db.server.headlessclient. WebForm$3.onComponentTagBody(WebForm.java:245)
at org.apache.wicket.Component.renderComponent(Component.java:2725)

at org.apache.wicket.MarkupContainer.onRender(MarkupContainer.java:1559)

at org.apache.wicket.Component.render(Component.java:2525)

at org.apache.wicket.MarkupContainer.renderNext(MarkupContainer.java:1461)

at org.apache.wicket.MarkupContainer.renderComponentTagBody(MarkupContainer.java:1624)
at org.apache.wicket.MarkupContainer.renderAssociatedMarkup(MarkupContainer.java:717)

at org.apache.wicket.markup.html.panel.Panel.onComponentTagBody(Panel.java:114)

at org.apache.wicket.Component.renderComponent(Component.java:2725)

at org.apache.wicket.MarkupContainer.onRender(MarkupContainer.java:1559)

at com.servoy.j2db.server.headlessclient. WebForm.onRender(WebForm.java:1952)

at org.apache.wicket.Component.render(Component.java:2525)

at org.apache.wicket.MarkupContainer.renderNext(MarkupContainer.java:1461)

at org.apache.wicket.MarkupContainer.renderComponentTagBody(MarkupContainer.java:1624)
at org.apache.wicket.MarkupContainer.onComponentTagBody(MarkupContainer.java:1548)

at com.servoy.j2db.server.headlessclient.dataui.WebTabPanel.onComponentTagBody(WebTabPanel.java:1449)
at org.apache.wicket.Component.renderComponent(Component.java:2725)

at org.apache.wicket.MarkupContainer.onRender(MarkupContainer.java:1559)

at com.servoy.j2db.server.headlessclient.dataui.WebTabPanel.onRender(WebTabPanel.java:549)
at org.apache.wicket.Component.render(Component.java:2525)

at org.apache.wicket.MarkupContainer.renderNext(MarkupContainer.java:1461)

at org.apache.wicket.MarkupContainer.renderComponentTagBody(MarkupContainer.java:1624)
at org.apache.wicket.MarkupContainer.onComponentTagBody(MarkupContainer.java:1548)

at org.apache.wicket.Component.renderComponent(Component.java:2725)

at org.apache.wicket.MarkupContainer.onRender(MarkupContainer.java:1559)

at com.servoy.j2db.server.headlessclient.dataui.WebDataRenderer.onRender(WebDataRenderer.java:465)
at org.apache.wicket.Component.render(Component.java:2525)

at org.apache.wicket.MarkupContainer.renderNext(MarkupContainer.java:1461)

at org.apache.wicket.MarkupContainer.renderComponentTagBody(MarkupContainer.java:1624)
at org.apache.wicket.MarkupContainer.onComponentTagBody(MarkupContainer.java:1548)

at org.apache.wicket.Component.renderComponent(Component.java:2725)

at org.apache.wicket.MarkupContainer.onRender(MarkupContainer.java:1559)

at org.apache.wicket.Component.render(Component.java:2525)

at org.apache.wicket.MarkupContainer.renderNext(MarkupContainer.java:1461)

at org.apache.wicket.MarkupContainer.renderComponentTagBody(MarkupContainer.java:1624)
at org.apache.wicket.MarkupContainer.onComponentTagBody(MarkupContainer.java:1548)

at com.servoy.j2db.server.headlessclient. WebForm$3.onComponentTagBody(WebForm.java:245)
at org.apache.wicket.Component.renderComponent(Component.java:2725)

at org.apache.wicket.MarkupContainer.onRender(MarkupContainer.java:1559)

at org.apache.wicket.Component.render(Component.java:2525)

at org.apache.wicket.MarkupContainer.renderNext(MarkupContainer.java:1461)

at org.apache.wicket.MarkupContainer.renderComponentTagBody(MarkupContainer.java:1624)
at org.apache.wicket.MarkupContainer.renderAssociatedMarkup(MarkupContainer.java:717)

at org.apache.wicket.markup.html.panel.Panel.onComponentTagBody(Panel.java:114)

at org.apache.wicket.Component.renderComponent(Component.java:2725)

at org.apache.wicket.MarkupContainer.onRender(MarkupContainer.java:1559)

at com.servoy.j2db.server.headlessclient. WebForm.onRender(WebForm.java:1952)

at org.apache.wicket.Component.render(Component.java:2525)

at org.apache.wicket.MarkupContainer.renderNext(MarkupContainer.java:1461)

at org.apache.wicket.MarkupContainer.renderComponentTagBody(MarkupContainer.java:1624)
at org.apache.wicket.MarkupContainer.onComponentTagBody(MarkupContainer.java:1548)

at com.servoy.j2db.server.headlessclient.dataui.WebTabPanel.onComponentTagBody(WebTabPanel.java:1449)
at org.apache.wicket.Component.renderComponent(Component.java:2725)
at org.apache.wicket.MarkupContainer.onRender(MarkupContainer.java:1559)

at com.servoy.j2db.server.headlessclient.dataui.WebTabPanel.onRender(WebTabPanel.java:549)
at org.apache.wicket.Component.render(Component.java:2525)

at org.apache.wicket.MarkupContainer.renderNext(MarkupContainer.java:1461)

at org.apache.wicket.MarkupContainer.renderComponentTagBody(MarkupContainer.java:1624)
at org.apache.wicket.MarkupContainer.onComponentTagBody(MarkupContainer.java:1548)

at org.apache.wicket.Component.renderComponent(Component.java:2725)

at org.apache.wicket.MarkupContainer.onRender(MarkupContainer.java:1559)

at com.servoy.j2db.server.headlessclient.dataui.WebDataRenderer.onRender(WebDataRenderer.java:465)
at org.apache.wicket.Component.render(Component.java:2525)

at org.apache.wicket.MarkupContainer.renderNext(MarkupContainer.java:1461)

at org.apache.wicket.MarkupContainer.renderComponentTagBody(MarkupContainer.java:1624)
at org.apache.wicket.MarkupContainer.onComponentTagBody(MarkupContainer.java:1548)

at org.apache.wicket.Component.renderComponent(Component.java:2725)

at org.apache.wicket.MarkupContainer.onRender(MarkupContainer.java:1559)

at org.apache.wicket.Component.render(Component.java:2525)

at org.apache.wicket.MarkupContainer.renderNext(MarkupContainer.java:1461)

at org.apache.wicket.MarkupContainer.renderComponentTagBody(MarkupContainer.java:1624)
at org.apache.wicket.MarkupContainer.onComponentTagBody(MarkupContainer.java:1548)

at com.servoy.j2db.server.headlessclient. WebForm$3.onComponentTagBody(WebForm.java:245)
at org.apache.wicket.Component.renderComponent(Component.java:2725)

at org.apache.wicket.MarkupContainer.onRender(MarkupContainer.java:1559)

at org.apache.wicket.Component.render(Component.java:2525)

at org.apache.wicket.MarkupContainer.renderNext(MarkupContainer.java:1461)

at org.apache.wicket.MarkupContainer.renderComponentTagBody(MarkupContainer.java:1624)
at org.apache.wicket.MarkupContainer.renderAssociatedMarkup(MarkupContainer.java:717)

at org.apache.wicket.markup.html.panel.Panel.onComponentTagBody(Panel.java:114)

at org.apache.wicket.Component.renderComponent(Component.java:2725)

at org.apache.wicket.MarkupContainer.onRender(MarkupContainer.java:1559)

at com.servoy.j2db.server.headlessclient. WebForm.onRender(WebForm.java:1952)

at org.apache.wicket.Component.render(Component.java:2525)

at org.apache.wicket.MarkupContainer.renderNext(MarkupContainer.java:1461)

at org.apache.wicket.MarkupContainer.renderComponentTagBody(MarkupContainer.java:1624)
at org.apache.wicket.MarkupContainer.onComponentTagBody(MarkupContainer.java:1548)

at org.apache.wicket.Component.renderComponent(Component.java:2725)

at org.apache.wicket.MarkupContainer.onRender(MarkupContainer.java:1559)

at org.apache.wicket.Component.render(Component.java:2525)

at org.apache.wicket.MarkupContainer.renderNext(MarkupContainer.java:1461)

at org.apache.wicket.MarkupContainer.renderComponentTagBody(MarkupContainer.java:1624)
at org.apache.wicket.MarkupContainer.onComponentTagBody(MarkupContainer.java:1548)

at org.apache.wicket.Component.renderComponent(Component.java:2725)

at org.apache.wicket.MarkupContainer.onRender(MarkupContainer.java:1559)

at com.servoy.j2db.server.headlessclient.dataui.WebSplitPane.onRender(WebSplitPane.java:571)
at org.apache.wicket.Component.render(Component.java:2525)

at org.apache.wicket.MarkupContainer.renderNext(MarkupContainer.java:1461)

at org.apache.wicket.MarkupContainer.renderComponentTagBody(MarkupContainer.java:1624)
at org.apache.wicket.MarkupContainer.onComponentTagBody(MarkupContainer.java:1548)

at org.apache.wicket.Component.renderComponent(Component.java:2725)

at org.apache.wicket.MarkupContainer.onRender(MarkupContainer.java:1559)

at com.servoy.j2db.server.headlessclient.dataui. WebDataRenderer.onRender(WebDataRenderer.java:465)
at org.apache.wicket.Component.render(Component.java:2525)

at org.apache.wicket.MarkupContainer.renderNext(MarkupContainer.java:1461)

at org.apache.wicket.MarkupContainer.renderComponentTagBody(MarkupContainer.java:1624)
at org.apache.wicket.MarkupContainer.onComponentTagBody(MarkupContainer.java:1548)

at org.apache.wicket.Component.renderComponent(Component.java:2725)

at org.apache.wicket.MarkupContainer.onRender(MarkupContainer.java:1559)

at org.apache.wicket.Component.render(Component.java:2525)

at org.apache.wicket.MarkupContainer.renderNext(MarkupContainer.java:1461)

at org.apache.wicket.MarkupContainer.renderComponentTagBody(MarkupContainer.java:1624)
at org.apache.wicket.MarkupContainer.onComponentTagBody(MarkupContainer.java:1548)

at com.servoy.j2db.server.headlessclient. WebForm$3.onComponentTagBody(WebForm.java:245)
at org.apache.wicket.Component.renderComponent(Component.java:2725)

at org.apache.wicket.MarkupContainer.onRender(MarkupContainer.java:1559)

at org.apache.wicket.Component.render(Component.java:2525)

at org.apache.wicket.MarkupContainer.renderNext(MarkupContainer.java:1461)

at org.apache.wicket.MarkupContainer.renderComponentTagBody(MarkupContainer.java:1624)
at org.apache.wicket.MarkupContainer.renderAssociatedMarkup(MarkupContainer.java:717)

at org.apache.wicket.markup.html.panel.Panel.onComponentTagBody(Panel.java:114)

at org.apache.wicket.Component.renderComponent(Component.java:2725)

at org.apache.wicket.MarkupContainer.onRender(MarkupContainer.java:1559)

at com.servoy.j2db.server.headlessclient. WebForm.onRender(WebForm.java:1952)

at org.apache.wicket.Component.render(Component.java:2525)

at org.apache.wicket.MarkupContainer.renderNext(MarkupContainer.java:1461)

at org.apache.wicket.MarkupContainer.renderComponentTagBody(MarkupContainer.java:1624)
at org.apache.wicket.MarkupContainer.onComponentTagBody(MarkupContainer.java:1548)
at org.apache.wicket.Component.renderComponent(Component.java:2725)

at org.apache.wicket.MarkupContainer.onRender(MarkupContainer.java:1559)

at org.apache.wicket.Component.render(Component.java:2525)

at org.apache.wicket.MarkupContainer.renderNext(MarkupContainer.java:1461)

at org.apache.wicket.MarkupContainer.renderComponentTagBody(MarkupContainer.java:1624)
at org.apache.wicket.MarkupContainer.onComponentTagBody(MarkupContainer.java:1548)

at org.apache.wicket.Component.renderComponent(Component.java:2725)

at org.apache.wicket.MarkupContainer.onRender(MarkupContainer.java:1559)

at com.servoy.j2db.server.headlessclient.dataui. WebSplitPane.onRender(WebSplitPane.java:571)
at org.apache.wicket.Component.render(Component.java:2525)

at org.apache.wicket.MarkupContainer.renderNext(MarkupContainer.java:1461)

at org.apache.wicket.MarkupContainer.renderComponentTagBody(MarkupContainer.java:1624)
at org.apache.wicket.MarkupContainer.onComponentTagBody(MarkupContainer.java:1548)

at org.apache.wicket.Component.renderComponent(Component.java:2725)

at org.apache.wicket.MarkupContainer.onRender(MarkupContainer.java:1559)

at com.servoy.j2db.server.headlessclient.dataui. WebDataRenderer.onRender(WebDataRenderer.java:465)
at org.apache.wicket.Component.render(Component.java:2525)

at org.apache.wicket.MarkupContainer.renderNext(MarkupContainer.java:1461)

at org.apache.wicket.MarkupContainer.renderComponentTagBody(MarkupContainer.java:1624)
at org.apache.wicket.MarkupContainer.onComponentTagBody(MarkupContainer.java:1548)

at org.apache.wicket.Component.renderComponent(Component.java:2725)

at org.apache.wicket.MarkupContainer.onRender(MarkupContainer.java:1559)

at org.apache.wicket.Component.render(Component.java:2525)

at org.apache.wicket.MarkupContainer.renderNext(MarkupContainer.java:1461)

at org.apache.wicket.MarkupContainer.renderComponentTagBody(MarkupContainer.java:1624)
at org.apache.wicket.MarkupContainer.onComponentTagBody(MarkupContainer.java:1548)

at com.servoy.j2db.server.headlessclient. WebForm$3.onComponentTagBody(WebForm.java:245)
at org.apache.wicket.Component.renderComponent(Component.java:2725)

at org.apache.wicket.MarkupContainer.onRender(MarkupContainer.java:1559)

at org.apache.wicket.Component.render(Component.java:2525)

at org.apache.wicket.MarkupContainer.renderNext(MarkupContainer.java:1461)

at org.apache.wicket.MarkupContainer.renderComponentTagBody(MarkupContainer.java:1624)
at org.apache.wicket.MarkupContainer.renderAssociatedMarkup(MarkupContainer.java:717)

at org.apache.wicket.markup.html.panel.Panel.onComponentTagBody(Panel.java:114)

at org.apache.wicket.Component.renderComponent(Component.java:2725)

at org.apache.wicket.MarkupContainer.onRender(MarkupContainer.java:1559)

at com.servoy.j2db.server.headlessclient. WebForm.onRender(WebForm.java:1952)

at org.apache.wicket.Component.render(Component.java:2525)

at org.apache.wicket.MarkupContainer.renderNext(MarkupContainer.java:1461)

at org.apache.wicket.MarkupContainer.renderComponentTagBody(MarkupContainer.java:1624)
at org.apache.wicket.MarkupContainer.onComponentTagBody(MarkupContainer.java:1548)

at com.servoy.j2db.server.headlessclient.dataui. WebTabPanel.onComponentTagBody(WebTabPanel.java:1449)
at org.apache.wicket.Component.renderComponent(Component.java:2725)

at org.apache.wicket.MarkupContainer.onRender(MarkupContainer.java:1559)

at com.servoy.j2db.server.headlessclient.dataui.WebTabPanel.onRender(WebTabPanel.java:549)
at org.apache.wicket.Component.render(Component.java:2525)

at org.apache.wicket.MarkupContainer.renderNext(MarkupContainer.java:1461)

at org.apache.wicket.MarkupContainer.renderComponentTagBody(MarkupContainer.java:1624)
at org.apache.wicket.MarkupContainer.onComponentTagBody(MarkupContainer.java:1548)

at org.apache.wicket.Component.renderComponent(Component.java:2725)

at org.apache.wicket.MarkupContainer.onRender(MarkupContainer.java:1559)

at com.servoy.j2db.server.headlessclient.dataui. WebDataRenderer.onRender(WebDataRenderer.java:465)
at org.apache.wicket.Component.render(Component.java:2525)

at org.apache.wicket.MarkupContainer.renderNext(MarkupContainer.java:1461)

at org.apache.wicket.MarkupContainer.renderComponentTagBody(MarkupContainer.java:1624)
at org.apache.wicket.MarkupContainer.onComponentTagBody(MarkupContainer.java:1548)

at org.apache.wicket.Component.renderComponent(Component.java:2725)

at org.apache.wicket.MarkupContainer.onRender(MarkupContainer.java:1559)

at org.apache.wicket.Component.render(Component.java:2525)

at org.apache.wicket.MarkupContainer.renderNext(MarkupContainer.java:1461)

at org.apache.wicket.MarkupContainer.renderComponentTagBody(MarkupContainer.java:1624)
at org.apache.wicket.MarkupContainer.onComponentTagBody(MarkupContainer.java:1548)

at com.servoy.j2db.server.headlessclient. WebForm$3.onComponentTagBody(WebForm.java:245)
at org.apache.wicket.Component.renderComponent(Component.java:2725)

at org.apache.wicket.MarkupContainer.onRender(MarkupContainer.java:1559)

at org.apache.wicket.Component.render(Component.java:2525)

at org.apache.wicket.MarkupContainer.renderNext(MarkupContainer.java:1461)

at org.apache.wicket.MarkupContainer.renderComponentTagBody(MarkupContainer.java:1624)
at org.apache.wicket.MarkupContainer.renderAssociatedMarkup(MarkupContainer.java:717)

at org.apache.wicket.markup.html.panel.Panel.onComponentTagBody(Panel.java:114)

at org.apache.wicket.Component.renderComponent(Component.java:2725)

at org.apache.wicket.MarkupContainer.onRender(MarkupContainer.java:1559)

at com.servoy.j2db.server.headlessclient. WebForm.onRender(WebForm.java:1952)

at org.apache.wicket.Component.render(Component.java:2525)

at org.apache.wicket.MarkupContainer.renderNext(MarkupContainer.java:1461)
at org.apache.wicket.MarkupContainer.renderComponentTagBody(MarkupContainer.java:1624)
at org.apache.wicket.MarkupContainer.onComponentTagBody(MarkupContainer.java:1548)

at org.apache.wicket.Component.renderComponent(Component.java:2725)

at org.apache.wicket.MarkupContainer.onRender(MarkupContainer.java:1559)

at org.apache.wicket.Component.render(Component.java:2525)

at org.apache.wicket.markup.html.list.ListView.renderltem(ListView.java:624)

at org.apache.wicket.markup.html.list.ListView.renderChild(ListView.java:612)

at org.apache.wicket.markup.repeater.AbstractRepeater.onRender(AbstractRepeater.java:103)
at org.apache.wicket.Component.render(Component.java:2525)

at org.apache.wicket.MarkupContainer.renderNext(MarkupContainer.java:1461)

at org.apache.wicket.MarkupContainer.renderComponentTagBody(MarkupContainer.java:1624)
at org.apache.wicket.MarkupContainer.onComponentTagBody(MarkupContainer.java:1548)

at org.apache.wicket.markup.html.form.Form.onComponentTagBody(Form.java:2035)

at org.apache.wicket.Component.renderComponent(Component.java:2725)

at org.apache.wicket.MarkupContainer.onRender(MarkupContainer.java:1559)

at org.apache.wicket.Component.render(Component.java:2525)

at org.apache.wicket.MarkupContainer.renderNext(MarkupContainer.java:1461)

at org.apache.wicket.MarkupContainer.renderComponentTagBody(MarkupContainer.java:1624)
at org.apache.wicket.MarkupContainer.onComponentTagBody(MarkupContainer.java:1548)

at org.apache.wicket.Component.renderComponent(Component.java:2725)

at org.apache.wicket.MarkupContainer.onRender(MarkupContainer.java:1559)

at org.apache.wicket.Component.render(Component.java:2525)

at org.apache.wicket.MarkupContainer.renderNext(MarkupContainer.java:1461)

at org.apache.wicket.MarkupContainer.renderAll(MarkupContainer.java:1575)

at org.apache.wicket.Page.onRender(Page.java:1599)

at org.apache.wicket.Component.render(Component.java:2525)

at org.apache.wicket.Page.renderPage(Page.java:933)

at org.apache.wicket.request.target.component.PageRequestTarget.respond(PageRequestTarget.java:63)
at org.apache.wicket.request.AbstractRequestCycleProcessor.respond(AbstractRequestCycleProcessor.java:105)
at com.servoy.j2db.server.headlessclient. WebClientsApplication$7.respond(WebClientsApplication.java:594)
at org.apache.wicket.RequestCycle.processEventsAndRespond(RequestCycle.java:1287)

at org.apache.wicket.RequestCycle.step(RequestCycle.java:1358)

at org.apache.wicket.RequestCycle.steps(RequestCycle.java:1465)

at org.apache.wicket.RequestCycle.request(RequestCycle.java:545)

at org.apache.wicket.protocol.http.WicketFilter.doGet(WicketFilter.java:486)

at com.servoy.j2db.server.servlets.Zt.doGet(Zt.java:8)

at org.apache.wicket.protocol.http.WicketServiet.doGet(WicketServlet.java:138)

at javax.servlet.http.HttpServlet.service(HttpServlet.java:617)

at javax.servlet.http.HttpServlet.service(HttpServlet.java:717)

at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:290)
at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:206)

at org.apache.catalina.core.StandardWrapperValve.invoke(StandardWrapperValve.java:233)

at org.apache.catalina.core.StandardContextValve.invoke(StandardContextValve.java:191)

at org.apache.catalina.core.StandardHostValve.invoke(StandardHostValve.java:127)

at org.apache.catalina.valves.ErrorReportValve.invoke(ErrorReportValve.java:103)

at org.apache.catalina.valves.AccessLogValve.invoke(AccessLogValve.java:615)

at org.apache.catalina.core.StandardEngineValve.invoke(StandardEngineValve.java:109)

at org.apache.catalina.connector.CoyoteAdapter.service(CoyoteAdapter.java:293)

at org.apache.coyote.http11.Http11Processor.process(Http11Processor.java:861)

at org.apache.coyote.http11.Http11Protocol$Http11ConnectionHandler.process(Http11Protocol.java:606)
at org.apache.tomcat.util.net.JloEndpoint$Worker.run(JloEndpoint.java:489)

at java.lang.Thread.run(Unknown Source)

#3 - 03/11/2014 09:30 PM - Patrick Talbot

- Priority changed from Immediate to Normal

Please don't set the priority to "immediate" unless you are prepared to sponsor the development.
Do you have a sample solution that reproduces this?

#4 - 03/14/2014 04:53 PM - Jan Blok
Harry Schurink wrote:

The solution should be to sign the object for the new Servoy version (?)
The problem seems misunderstood.

This is an OSGI servoy developer only problem, as workaround you can copy (not move) the commons-logging.jar from "lib" to your servoy install
"plugins" dir.

#5 - 03/15/2014 12:24 AM - Patrick Talbot

- Status changed from New to In Progress
Thanks for the clarification and tip Jan!
| will leave the ticket open for reference.

#6 - 01/09/2015 03:11 PM - Patrick Talbot

- Status changed from In Progress to Closed

Works fine in 7.4+ with v1.0.8
